
close all
clear
clc

I = imread('lena.bmp'); % Image Read

[I, Mask, I_hat] = MASCAR(I); % Measurement-Adaptive Sampling Cellular Automaton Recovery (MASCAR)

PSNR = psnr(I, I_hat); % PSNR Calculation in terms of dB
subplot(1, 3, 1), imshow(I) % the original image 
title('Original Image')
subplot(1, 3, 2), imshow(Mask) % the Mask
title('Sampling Mask')
subplot(1, 3, 3), imshow(I_hat) % the recovered image
title('Recovered Image')

